IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/72
Addresses2^56
/64 networksPart of one
- Network
2001:db8:0:0:2900::/72- First address
2001:db8:0:0:2900::- Last address
2001:db8::29ff:ffff:ffff:ffff- Addresses
- 72,057,594,037,927,936 (2^56)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:2900:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
9.2.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:0:2900::/72 makes 256 subnets of /80.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:0:2900::/80 | 2001:db8::2900:ffff:ffff:ffff |
| 2 | 2001:db8:0:0:2901::/80 | 2001:db8::2901:ffff:ffff:ffff |
| 3 | 2001:db8:0:0:2902::/80 | 2001:db8::2902:ffff:ffff:ffff |
| 4 | 2001:db8:0:0:2903::/80 | 2001:db8::2903:ffff:ffff:ffff |
| 5 | 2001:db8:0:0:2904::/80 | 2001:db8::2904:ffff:ffff:ffff |
| 6 | 2001:db8:0:0:2905::/80 | 2001:db8::2905:ffff:ffff:ffff |
| 7 | 2001:db8:0:0:2906::/80 | 2001:db8::2906:ffff:ffff:ffff |
| 8 | 2001:db8:0:0:2907::/80 | 2001:db8::2907:ffff:ffff:ffff |
| 9 | 2001:db8:0:0:2908::/80 | 2001:db8::2908:ffff:ffff:ffff |
| 10 | 2001:db8:0:0:2909::/80 | 2001:db8::2909:ffff:ffff:ffff |
| 11 | 2001:db8:0:0:290a::/80 | 2001:db8::290a:ffff:ffff:ffff |
| 12 | 2001:db8:0:0:290b::/80 | 2001:db8::290b:ffff:ffff:ffff |
| 13 | 2001:db8:0:0:290c::/80 | 2001:db8::290c:ffff:ffff:ffff |
| 14 | 2001:db8:0:0:290d::/80 | 2001:db8::290d:ffff:ffff:ffff |
| 15 | 2001:db8:0:0:290e::/80 | 2001:db8::290e:ffff:ffff:ffff |
| 16 | 2001:db8:0:0:290f::/80 | 2001:db8::290f:ffff:ffff:ffff |
| 17 | 2001:db8:0:0:2910::/80 | 2001:db8::2910:ffff:ffff:ffff |
| 18 | 2001:db8:0:0:2911::/80 | 2001:db8::2911:ffff:ffff:ffff |
| 19 | 2001:db8:0:0:2912::/80 | 2001:db8::2912:ffff:ffff:ffff |
| 20 | 2001:db8:0:0:2913::/80 | 2001:db8::2913:ffff:ffff:ffff |
| 21 | 2001:db8:0:0:2914::/80 | 2001:db8::2914:ffff:ffff:ffff |
| 22 | 2001:db8:0:0:2915::/80 | 2001:db8::2915:ffff:ffff:ffff |
| 23 | 2001:db8:0:0:2916::/80 | 2001:db8::2916:ffff:ffff:ffff |
| 24 | 2001:db8:0:0:2917::/80 | 2001:db8::2917:ffff:ffff:ffff |
| 25 | 2001:db8:0:0:2918::/80 | 2001:db8::2918:ffff:ffff:ffff |
| 26 | 2001:db8:0:0:2919::/80 | 2001:db8::2919:ffff:ffff:ffff |
| 27 | 2001:db8:0:0:291a::/80 | 2001:db8::291a:ffff:ffff:ffff |
| 28 | 2001:db8:0:0:291b::/80 | 2001:db8::291b:ffff:ffff:ffff |
| 29 | 2001:db8:0:0:291c::/80 | 2001:db8::291c:ffff:ffff:ffff |
| 30 | 2001:db8:0:0:291d::/80 | 2001:db8::291d:ffff:ffff:ffff |
| 31 | 2001:db8:0:0:291e::/80 | 2001:db8::291e:ffff:ffff:ffff |
| 32 | 2001:db8:0:0:291f::/80 | 2001:db8::291f:ffff:ffff:ffff |
| 33 | 2001:db8:0:0:2920::/80 | 2001:db8::2920:ffff:ffff:ffff |
| 34 | 2001:db8:0:0:2921::/80 | 2001:db8::2921:ffff:ffff:ffff |
| 35 | 2001:db8:0:0:2922::/80 | 2001:db8::2922:ffff:ffff:ffff |
| 36 | 2001:db8:0:0:2923::/80 | 2001:db8::2923:ffff:ffff:ffff |
| 37 | 2001:db8:0:0:2924::/80 | 2001:db8::2924:ffff:ffff:ffff |
| 38 | 2001:db8:0:0:2925::/80 | 2001:db8::2925:ffff:ffff:ffff |
| 39 | 2001:db8:0:0:2926::/80 | 2001:db8::2926:ffff:ffff:ffff |
| 40 | 2001:db8:0:0:2927::/80 | 2001:db8::2927:ffff:ffff:ffff |
| 41 | 2001:db8:0:0:2928::/80 | 2001:db8::2928:ffff:ffff:ffff |
| 42 | 2001:db8:0:0:2929::/80 | 2001:db8::2929:ffff:ffff:ffff |
| 43 | 2001:db8:0:0:292a::/80 | 2001:db8::292a:ffff:ffff:ffff |
| 44 | 2001:db8:0:0:292b::/80 | 2001:db8::292b:ffff:ffff:ffff |
| 45 | 2001:db8:0:0:292c::/80 | 2001:db8::292c:ffff:ffff:ffff |
| 46 | 2001:db8:0:0:292d::/80 | 2001:db8::292d:ffff:ffff:ffff |
| 47 | 2001:db8:0:0:292e::/80 | 2001:db8::292e:ffff:ffff:ffff |
| 48 | 2001:db8:0:0:292f::/80 | 2001:db8::292f:ffff:ffff:ffff |
| 49 | 2001:db8:0:0:2930::/80 | 2001:db8::2930:ffff:ffff:ffff |
| 50 | 2001:db8:0:0:2931::/80 | 2001:db8::2931:ffff:ffff:ffff |
| 51 | 2001:db8:0:0:2932::/80 | 2001:db8::2932:ffff:ffff:ffff |
| 52 | 2001:db8:0:0:2933::/80 | 2001:db8::2933:ffff:ffff:ffff |
| 53 | 2001:db8:0:0:2934::/80 | 2001:db8::2934:ffff:ffff:ffff |
| 54 | 2001:db8:0:0:2935::/80 | 2001:db8::2935:ffff:ffff:ffff |
| 55 | 2001:db8:0:0:2936::/80 | 2001:db8::2936:ffff:ffff:ffff |
| 56 | 2001:db8:0:0:2937::/80 | 2001:db8::2937:ffff:ffff:ffff |
| 57 | 2001:db8:0:0:2938::/80 | 2001:db8::2938:ffff:ffff:ffff |
| 58 | 2001:db8:0:0:2939::/80 | 2001:db8::2939:ffff:ffff:ffff |
| 59 | 2001:db8:0:0:293a::/80 | 2001:db8::293a:ffff:ffff:ffff |
| 60 | 2001:db8:0:0:293b::/80 | 2001:db8::293b:ffff:ffff:ffff |
| 61 | 2001:db8:0:0:293c::/80 | 2001:db8::293c:ffff:ffff:ffff |
| 62 | 2001:db8:0:0:293d::/80 | 2001:db8::293d:ffff:ffff:ffff |
| 63 | 2001:db8:0:0:293e::/80 | 2001:db8::293e:ffff:ffff:ffff |
| 64 | 2001:db8:0:0:293f::/80 | 2001:db8::293f:ffff:ffff:ffff |
| 65 | 2001:db8:0:0:2940::/80 | 2001:db8::2940:ffff:ffff:ffff |
| 66 | 2001:db8:0:0:2941::/80 | 2001:db8::2941:ffff:ffff:ffff |
| 67 | 2001:db8:0:0:2942::/80 | 2001:db8::2942:ffff:ffff:ffff |
| 68 | 2001:db8:0:0:2943::/80 | 2001:db8::2943:ffff:ffff:ffff |
| 69 | 2001:db8:0:0:2944::/80 | 2001:db8::2944:ffff:ffff:ffff |
| 70 | 2001:db8:0:0:2945::/80 | 2001:db8::2945:ffff:ffff:ffff |
| 71 | 2001:db8:0:0:2946::/80 | 2001:db8::2946:ffff:ffff:ffff |
| 72 | 2001:db8:0:0:2947::/80 | 2001:db8::2947:ffff:ffff:ffff |
| 73 | 2001:db8:0:0:2948::/80 | 2001:db8::2948:ffff:ffff:ffff |
| 74 | 2001:db8:0:0:2949::/80 | 2001:db8::2949:ffff:ffff:ffff |
| 75 | 2001:db8:0:0:294a::/80 | 2001:db8::294a:ffff:ffff:ffff |
| 76 | 2001:db8:0:0:294b::/80 | 2001:db8::294b:ffff:ffff:ffff |
| 77 | 2001:db8:0:0:294c::/80 | 2001:db8::294c:ffff:ffff:ffff |
| 78 | 2001:db8:0:0:294d::/80 | 2001:db8::294d:ffff:ffff:ffff |
| 79 | 2001:db8:0:0:294e::/80 | 2001:db8::294e:ffff:ffff:ffff |
| 80 | 2001:db8:0:0:294f::/80 | 2001:db8::294f:ffff:ffff:ffff |
| 81 | 2001:db8:0:0:2950::/80 | 2001:db8::2950:ffff:ffff:ffff |
| 82 | 2001:db8:0:0:2951::/80 | 2001:db8::2951:ffff:ffff:ffff |
| 83 | 2001:db8:0:0:2952::/80 | 2001:db8::2952:ffff:ffff:ffff |
| 84 | 2001:db8:0:0:2953::/80 | 2001:db8::2953:ffff:ffff:ffff |
| 85 | 2001:db8:0:0:2954::/80 | 2001:db8::2954:ffff:ffff:ffff |
| 86 | 2001:db8:0:0:2955::/80 | 2001:db8::2955:ffff:ffff:ffff |
| 87 | 2001:db8:0:0:2956::/80 | 2001:db8::2956:ffff:ffff:ffff |
| 88 | 2001:db8:0:0:2957::/80 | 2001:db8::2957:ffff:ffff:ffff |
| 89 | 2001:db8:0:0:2958::/80 | 2001:db8::2958:ffff:ffff:ffff |
| 90 | 2001:db8:0:0:2959::/80 | 2001:db8::2959:ffff:ffff:ffff |
| 91 | 2001:db8:0:0:295a::/80 | 2001:db8::295a:ffff:ffff:ffff |
| 92 | 2001:db8:0:0:295b::/80 | 2001:db8::295b:ffff:ffff:ffff |
| 93 | 2001:db8:0:0:295c::/80 | 2001:db8::295c:ffff:ffff:ffff |
| 94 | 2001:db8:0:0:295d::/80 | 2001:db8::295d:ffff:ffff:ffff |
| 95 | 2001:db8:0:0:295e::/80 | 2001:db8::295e:ffff:ffff:ffff |
| 96 | 2001:db8:0:0:295f::/80 | 2001:db8::295f:ffff:ffff:ffff |
| 97 | 2001:db8:0:0:2960::/80 | 2001:db8::2960:ffff:ffff:ffff |
| 98 | 2001:db8:0:0:2961::/80 | 2001:db8::2961:ffff:ffff:ffff |
| 99 | 2001:db8:0:0:2962::/80 | 2001:db8::2962:ffff:ffff:ffff |
| 100 | 2001:db8:0:0:2963::/80 | 2001:db8::2963:ffff:ffff:ffff |
| 101 | 2001:db8:0:0:2964::/80 | 2001:db8::2964:ffff:ffff:ffff |
| 102 | 2001:db8:0:0:2965::/80 | 2001:db8::2965:ffff:ffff:ffff |
| 103 | 2001:db8:0:0:2966::/80 | 2001:db8::2966:ffff:ffff:ffff |
| 104 | 2001:db8:0:0:2967::/80 | 2001:db8::2967:ffff:ffff:ffff |
| 105 | 2001:db8:0:0:2968::/80 | 2001:db8::2968:ffff:ffff:ffff |
| 106 | 2001:db8:0:0:2969::/80 | 2001:db8::2969:ffff:ffff:ffff |
| 107 | 2001:db8:0:0:296a::/80 | 2001:db8::296a:ffff:ffff:ffff |
| 108 | 2001:db8:0:0:296b::/80 | 2001:db8::296b:ffff:ffff:ffff |
| 109 | 2001:db8:0:0:296c::/80 | 2001:db8::296c:ffff:ffff:ffff |
| 110 | 2001:db8:0:0:296d::/80 | 2001:db8::296d:ffff:ffff:ffff |
| 111 | 2001:db8:0:0:296e::/80 | 2001:db8::296e:ffff:ffff:ffff |
| 112 | 2001:db8:0:0:296f::/80 | 2001:db8::296f:ffff:ffff:ffff |
| 113 | 2001:db8:0:0:2970::/80 | 2001:db8::2970:ffff:ffff:ffff |
| 114 | 2001:db8:0:0:2971::/80 | 2001:db8::2971:ffff:ffff:ffff |
| 115 | 2001:db8:0:0:2972::/80 | 2001:db8::2972:ffff:ffff:ffff |
| 116 | 2001:db8:0:0:2973::/80 | 2001:db8::2973:ffff:ffff:ffff |
| 117 | 2001:db8:0:0:2974::/80 | 2001:db8::2974:ffff:ffff:ffff |
| 118 | 2001:db8:0:0:2975::/80 | 2001:db8::2975:ffff:ffff:ffff |
| 119 | 2001:db8:0:0:2976::/80 | 2001:db8::2976:ffff:ffff:ffff |
| 120 | 2001:db8:0:0:2977::/80 | 2001:db8::2977:ffff:ffff:ffff |
| 121 | 2001:db8:0:0:2978::/80 | 2001:db8::2978:ffff:ffff:ffff |
| 122 | 2001:db8:0:0:2979::/80 | 2001:db8::2979:ffff:ffff:ffff |
| 123 | 2001:db8:0:0:297a::/80 | 2001:db8::297a:ffff:ffff:ffff |
| 124 | 2001:db8:0:0:297b::/80 | 2001:db8::297b:ffff:ffff:ffff |
| 125 | 2001:db8:0:0:297c::/80 | 2001:db8::297c:ffff:ffff:ffff |
| 126 | 2001:db8:0:0:297d::/80 | 2001:db8::297d:ffff:ffff:ffff |
| 127 | 2001:db8:0:0:297e::/80 | 2001:db8::297e:ffff:ffff:ffff |
| 128 | 2001:db8:0:0:297f::/80 | 2001:db8::297f:ffff:ffff:ffff |
| 129 | 2001:db8:0:0:2980::/80 | 2001:db8::2980:ffff:ffff:ffff |
| 130 | 2001:db8:0:0:2981::/80 | 2001:db8::2981:ffff:ffff:ffff |
| 131 | 2001:db8:0:0:2982::/80 | 2001:db8::2982:ffff:ffff:ffff |
| 132 | 2001:db8:0:0:2983::/80 | 2001:db8::2983:ffff:ffff:ffff |
| 133 | 2001:db8:0:0:2984::/80 | 2001:db8::2984:ffff:ffff:ffff |
| 134 | 2001:db8:0:0:2985::/80 | 2001:db8::2985:ffff:ffff:ffff |
| 135 | 2001:db8:0:0:2986::/80 | 2001:db8::2986:ffff:ffff:ffff |
| 136 | 2001:db8:0:0:2987::/80 | 2001:db8::2987:ffff:ffff:ffff |
| 137 | 2001:db8:0:0:2988::/80 | 2001:db8::2988:ffff:ffff:ffff |
| 138 | 2001:db8:0:0:2989::/80 | 2001:db8::2989:ffff:ffff:ffff |
| 139 | 2001:db8:0:0:298a::/80 | 2001:db8::298a:ffff:ffff:ffff |
| 140 | 2001:db8:0:0:298b::/80 | 2001:db8::298b:ffff:ffff:ffff |
| 141 | 2001:db8:0:0:298c::/80 | 2001:db8::298c:ffff:ffff:ffff |
| 142 | 2001:db8:0:0:298d::/80 | 2001:db8::298d:ffff:ffff:ffff |
| 143 | 2001:db8:0:0:298e::/80 | 2001:db8::298e:ffff:ffff:ffff |
| 144 | 2001:db8:0:0:298f::/80 | 2001:db8::298f:ffff:ffff:ffff |
| 145 | 2001:db8:0:0:2990::/80 | 2001:db8::2990:ffff:ffff:ffff |
| 146 | 2001:db8:0:0:2991::/80 | 2001:db8::2991:ffff:ffff:ffff |
| 147 | 2001:db8:0:0:2992::/80 | 2001:db8::2992:ffff:ffff:ffff |
| 148 | 2001:db8:0:0:2993::/80 | 2001:db8::2993:ffff:ffff:ffff |
| 149 | 2001:db8:0:0:2994::/80 | 2001:db8::2994:ffff:ffff:ffff |
| 150 | 2001:db8:0:0:2995::/80 | 2001:db8::2995:ffff:ffff:ffff |
| 151 | 2001:db8:0:0:2996::/80 | 2001:db8::2996:ffff:ffff:ffff |
| 152 | 2001:db8:0:0:2997::/80 | 2001:db8::2997:ffff:ffff:ffff |
| 153 | 2001:db8:0:0:2998::/80 | 2001:db8::2998:ffff:ffff:ffff |
| 154 | 2001:db8:0:0:2999::/80 | 2001:db8::2999:ffff:ffff:ffff |
| 155 | 2001:db8:0:0:299a::/80 | 2001:db8::299a:ffff:ffff:ffff |
| 156 | 2001:db8:0:0:299b::/80 | 2001:db8::299b:ffff:ffff:ffff |
| 157 | 2001:db8:0:0:299c::/80 | 2001:db8::299c:ffff:ffff:ffff |
| 158 | 2001:db8:0:0:299d::/80 | 2001:db8::299d:ffff:ffff:ffff |
| 159 | 2001:db8:0:0:299e::/80 | 2001:db8::299e:ffff:ffff:ffff |
| 160 | 2001:db8:0:0:299f::/80 | 2001:db8::299f:ffff:ffff:ffff |
| 161 | 2001:db8:0:0:29a0::/80 | 2001:db8::29a0:ffff:ffff:ffff |
| 162 | 2001:db8:0:0:29a1::/80 | 2001:db8::29a1:ffff:ffff:ffff |
| 163 | 2001:db8:0:0:29a2::/80 | 2001:db8::29a2:ffff:ffff:ffff |
| 164 | 2001:db8:0:0:29a3::/80 | 2001:db8::29a3:ffff:ffff:ffff |
| 165 | 2001:db8:0:0:29a4::/80 | 2001:db8::29a4:ffff:ffff:ffff |
| 166 | 2001:db8:0:0:29a5::/80 | 2001:db8::29a5:ffff:ffff:ffff |
| 167 | 2001:db8:0:0:29a6::/80 | 2001:db8::29a6:ffff:ffff:ffff |
| 168 | 2001:db8:0:0:29a7::/80 | 2001:db8::29a7:ffff:ffff:ffff |
| 169 | 2001:db8:0:0:29a8::/80 | 2001:db8::29a8:ffff:ffff:ffff |
| 170 | 2001:db8:0:0:29a9::/80 | 2001:db8::29a9:ffff:ffff:ffff |
| 171 | 2001:db8:0:0:29aa::/80 | 2001:db8::29aa:ffff:ffff:ffff |
| 172 | 2001:db8:0:0:29ab::/80 | 2001:db8::29ab:ffff:ffff:ffff |
| 173 | 2001:db8:0:0:29ac::/80 | 2001:db8::29ac:ffff:ffff:ffff |
| 174 | 2001:db8:0:0:29ad::/80 | 2001:db8::29ad:ffff:ffff:ffff |
| 175 | 2001:db8:0:0:29ae::/80 | 2001:db8::29ae:ffff:ffff:ffff |
| 176 | 2001:db8:0:0:29af::/80 | 2001:db8::29af:ffff:ffff:ffff |
| 177 | 2001:db8:0:0:29b0::/80 | 2001:db8::29b0:ffff:ffff:ffff |
| 178 | 2001:db8:0:0:29b1::/80 | 2001:db8::29b1:ffff:ffff:ffff |
| 179 | 2001:db8:0:0:29b2::/80 | 2001:db8::29b2:ffff:ffff:ffff |
| 180 | 2001:db8:0:0:29b3::/80 | 2001:db8::29b3:ffff:ffff:ffff |
| 181 | 2001:db8:0:0:29b4::/80 | 2001:db8::29b4:ffff:ffff:ffff |
| 182 | 2001:db8:0:0:29b5::/80 | 2001:db8::29b5:ffff:ffff:ffff |
| 183 | 2001:db8:0:0:29b6::/80 | 2001:db8::29b6:ffff:ffff:ffff |
| 184 | 2001:db8:0:0:29b7::/80 | 2001:db8::29b7:ffff:ffff:ffff |
| 185 | 2001:db8:0:0:29b8::/80 | 2001:db8::29b8:ffff:ffff:ffff |
| 186 | 2001:db8:0:0:29b9::/80 | 2001:db8::29b9:ffff:ffff:ffff |
| 187 | 2001:db8:0:0:29ba::/80 | 2001:db8::29ba:ffff:ffff:ffff |
| 188 | 2001:db8:0:0:29bb::/80 | 2001:db8::29bb:ffff:ffff:ffff |
| 189 | 2001:db8:0:0:29bc::/80 | 2001:db8::29bc:ffff:ffff:ffff |
| 190 | 2001:db8:0:0:29bd::/80 | 2001:db8::29bd:ffff:ffff:ffff |
| 191 | 2001:db8:0:0:29be::/80 | 2001:db8::29be:ffff:ffff:ffff |
| 192 | 2001:db8:0:0:29bf::/80 | 2001:db8::29bf:ffff:ffff:ffff |
| 193 | 2001:db8:0:0:29c0::/80 | 2001:db8::29c0:ffff:ffff:ffff |
| 194 | 2001:db8:0:0:29c1::/80 | 2001:db8::29c1:ffff:ffff:ffff |
| 195 | 2001:db8:0:0:29c2::/80 | 2001:db8::29c2:ffff:ffff:ffff |
| 196 | 2001:db8:0:0:29c3::/80 | 2001:db8::29c3:ffff:ffff:ffff |
| 197 | 2001:db8:0:0:29c4::/80 | 2001:db8::29c4:ffff:ffff:ffff |
| 198 | 2001:db8:0:0:29c5::/80 | 2001:db8::29c5:ffff:ffff:ffff |
| 199 | 2001:db8:0:0:29c6::/80 | 2001:db8::29c6:ffff:ffff:ffff |
| 200 | 2001:db8:0:0:29c7::/80 | 2001:db8::29c7:ffff:ffff:ffff |
| 201 | 2001:db8:0:0:29c8::/80 | 2001:db8::29c8:ffff:ffff:ffff |
| 202 | 2001:db8:0:0:29c9::/80 | 2001:db8::29c9:ffff:ffff:ffff |
| 203 | 2001:db8:0:0:29ca::/80 | 2001:db8::29ca:ffff:ffff:ffff |
| 204 | 2001:db8:0:0:29cb::/80 | 2001:db8::29cb:ffff:ffff:ffff |
| 205 | 2001:db8:0:0:29cc::/80 | 2001:db8::29cc:ffff:ffff:ffff |
| 206 | 2001:db8:0:0:29cd::/80 | 2001:db8::29cd:ffff:ffff:ffff |
| 207 | 2001:db8:0:0:29ce::/80 | 2001:db8::29ce:ffff:ffff:ffff |
| 208 | 2001:db8:0:0:29cf::/80 | 2001:db8::29cf:ffff:ffff:ffff |
| 209 | 2001:db8:0:0:29d0::/80 | 2001:db8::29d0:ffff:ffff:ffff |
| 210 | 2001:db8:0:0:29d1::/80 | 2001:db8::29d1:ffff:ffff:ffff |
| 211 | 2001:db8:0:0:29d2::/80 | 2001:db8::29d2:ffff:ffff:ffff |
| 212 | 2001:db8:0:0:29d3::/80 | 2001:db8::29d3:ffff:ffff:ffff |
| 213 | 2001:db8:0:0:29d4::/80 | 2001:db8::29d4:ffff:ffff:ffff |
| 214 | 2001:db8:0:0:29d5::/80 | 2001:db8::29d5:ffff:ffff:ffff |
| 215 | 2001:db8:0:0:29d6::/80 | 2001:db8::29d6:ffff:ffff:ffff |
| 216 | 2001:db8:0:0:29d7::/80 | 2001:db8::29d7:ffff:ffff:ffff |
| 217 | 2001:db8:0:0:29d8::/80 | 2001:db8::29d8:ffff:ffff:ffff |
| 218 | 2001:db8:0:0:29d9::/80 | 2001:db8::29d9:ffff:ffff:ffff |
| 219 | 2001:db8:0:0:29da::/80 | 2001:db8::29da:ffff:ffff:ffff |
| 220 | 2001:db8:0:0:29db::/80 | 2001:db8::29db:ffff:ffff:ffff |
| 221 | 2001:db8:0:0:29dc::/80 | 2001:db8::29dc:ffff:ffff:ffff |
| 222 | 2001:db8:0:0:29dd::/80 | 2001:db8::29dd:ffff:ffff:ffff |
| 223 | 2001:db8:0:0:29de::/80 | 2001:db8::29de:ffff:ffff:ffff |
| 224 | 2001:db8:0:0:29df::/80 | 2001:db8::29df:ffff:ffff:ffff |
| 225 | 2001:db8:0:0:29e0::/80 | 2001:db8::29e0:ffff:ffff:ffff |
| 226 | 2001:db8:0:0:29e1::/80 | 2001:db8::29e1:ffff:ffff:ffff |
| 227 | 2001:db8:0:0:29e2::/80 | 2001:db8::29e2:ffff:ffff:ffff |
| 228 | 2001:db8:0:0:29e3::/80 | 2001:db8::29e3:ffff:ffff:ffff |
| 229 | 2001:db8:0:0:29e4::/80 | 2001:db8::29e4:ffff:ffff:ffff |
| 230 | 2001:db8:0:0:29e5::/80 | 2001:db8::29e5:ffff:ffff:ffff |
| 231 | 2001:db8:0:0:29e6::/80 | 2001:db8::29e6:ffff:ffff:ffff |
| 232 | 2001:db8:0:0:29e7::/80 | 2001:db8::29e7:ffff:ffff:ffff |
| 233 | 2001:db8:0:0:29e8::/80 | 2001:db8::29e8:ffff:ffff:ffff |
| 234 | 2001:db8:0:0:29e9::/80 | 2001:db8::29e9:ffff:ffff:ffff |
| 235 | 2001:db8:0:0:29ea::/80 | 2001:db8::29ea:ffff:ffff:ffff |
| 236 | 2001:db8:0:0:29eb::/80 | 2001:db8::29eb:ffff:ffff:ffff |
| 237 | 2001:db8:0:0:29ec::/80 | 2001:db8::29ec:ffff:ffff:ffff |
| 238 | 2001:db8:0:0:29ed::/80 | 2001:db8::29ed:ffff:ffff:ffff |
| 239 | 2001:db8:0:0:29ee::/80 | 2001:db8::29ee:ffff:ffff:ffff |
| 240 | 2001:db8:0:0:29ef::/80 | 2001:db8::29ef:ffff:ffff:ffff |
| 241 | 2001:db8:0:0:29f0::/80 | 2001:db8::29f0:ffff:ffff:ffff |
| 242 | 2001:db8:0:0:29f1::/80 | 2001:db8::29f1:ffff:ffff:ffff |
| 243 | 2001:db8:0:0:29f2::/80 | 2001:db8::29f2:ffff:ffff:ffff |
| 244 | 2001:db8:0:0:29f3::/80 | 2001:db8::29f3:ffff:ffff:ffff |
| 245 | 2001:db8:0:0:29f4::/80 | 2001:db8::29f4:ffff:ffff:ffff |
| 246 | 2001:db8:0:0:29f5::/80 | 2001:db8::29f5:ffff:ffff:ffff |
| 247 | 2001:db8:0:0:29f6::/80 | 2001:db8::29f6:ffff:ffff:ffff |
| 248 | 2001:db8:0:0:29f7::/80 | 2001:db8::29f7:ffff:ffff:ffff |
| 249 | 2001:db8:0:0:29f8::/80 | 2001:db8::29f8:ffff:ffff:ffff |
| 250 | 2001:db8:0:0:29f9::/80 | 2001:db8::29f9:ffff:ffff:ffff |
| 251 | 2001:db8:0:0:29fa::/80 | 2001:db8::29fa:ffff:ffff:ffff |
| 252 | 2001:db8:0:0:29fb::/80 | 2001:db8::29fb:ffff:ffff:ffff |
| 253 | 2001:db8:0:0:29fc::/80 | 2001:db8::29fc:ffff:ffff:ffff |
| 254 | 2001:db8:0:0:29fd::/80 | 2001:db8::29fd:ffff:ffff:ffff |
| 255 | 2001:db8:0:0:29fe::/80 | 2001:db8::29fe:ffff:ffff:ffff |
| 256 | 2001:db8:0:0:29ff::/80 | 2001:db8::29ff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |